Subject: [bug#73439] [PATCH v5 1/5] import: Add %libreoffice-updater.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 21 Oct 2024 17:40:26 +0200

Howdy,

Nicolas Graves <[email-masked]> skribis:

> On 2024-10-18 14:31, Ludovic Courtès wrote:

[...]

>> This is terrible.  :-)
>>
>> (guix import go) and (guix gnu-maintenance) use (htmlprag) for that.
>> Would that work for you?
>
> No issue for that, but I don't get how this works by looking at the
> source code only, hence my dirty hacks ;)

(htmlprag) is a “pragmatic” HTML parser, meaning that it can cope with
old style HTML that is not valid XML.  Essentially, you’d use
‘html->sxml’ from (htmlprag) instead of ‘xml->sxml’.

>> Thinking about it, the strategy looks very similar to that of the
>> ‘generic-html’ updater.
>>
>> Would it be enough to add a ‘release-monitoring-url’ property to the
>> relevant LibreOffice packages?
>
> Actually now I don't really now anymore what was possible and what was
> not. I remember trying and successfully updating libreoffice without
> this patch once, but not able to reproduce.
>
> With more experimentation :
> - the current release-monitoring-url is able to update to the
> latest-version, but isn't able to udpate to a --target-version
> - same thing for my libreoffice-latest-url
>
> I guess we don't want to maintain this code if we are able to keep being
> up-to-date. Let's skip this commit and merge others once QA is done with
> them. I can always cherry-pick this patch in the future if I need it.

Sounds good.  Thanks for checking!

Ludo’.